/*
 * Copyright 2023 teogor (Teodor Grigor)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package dev.teogor.ceres.framework.core.model

import androidx.compose.foundation.layout.BoxScope
import androidx.compose.runtime.Composable
import dev.teogor.ceres.framework.core.menu.MenuScope

/**
 * Configuration class for defining the content of the menu.
 */
class MenuConfig {
  // Header content for the menu
  var headerContent: (@Composable BoxScope.() -> Unit)? = null

  // Content for the main menu sheet
  var menuContent: (MenuScope.() -> Unit)? = null
}
