/*
 * Copyright 2023 teogor (Teodor Grigor)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package dev.teogor.ceres.ui.icons

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.ArrowDropDown
import androidx.compose.material.icons.filled.ArrowDropUp
import androidx.compose.material.icons.filled.MoreVert
import androidx.compose.material.icons.outlined.AccountCircle
import androidx.compose.material.icons.rounded.Add
import androidx.compose.material.icons.rounded.ArrowBack
import androidx.compose.material.icons.rounded.Check
import androidx.compose.material.icons.rounded.Close
import androidx.compose.material.icons.rounded.ExpandLess
import androidx.compose.material.icons.rounded.Fullscreen
import androidx.compose.material.icons.rounded.Grid3x3
import androidx.compose.material.icons.rounded.Person
import androidx.compose.material.icons.rounded.PlayArrow
import androidx.compose.material.icons.rounded.Search
import androidx.compose.material.icons.rounded.Settings
import androidx.compose.material.icons.rounded.ShortText
import androidx.compose.material.icons.rounded.Tag
import androidx.compose.material.icons.rounded.ViewDay
import androidx.compose.material.icons.rounded.VolumeOff
import androidx.compose.material.icons.rounded.VolumeUp
import androidx.compose.ui.graphics.vector.ImageVector

/**
 * Ceres icons. Material icons are [ImageVector]s, custom icons are drawable resource IDs.
 */
object CeresIcons {
  val AccountCircle = Icons.Outlined.AccountCircle
  val Add = Icons.Rounded.Add
  val ArrowBack = Icons.Rounded.ArrowBack
  val ArrowDropDown = Icons.Default.ArrowDropDown
  val ArrowDropUp = Icons.Default.ArrowDropUp
  val Check = Icons.Rounded.Check
  val Close = Icons.Rounded.Close
  val ExpandLess = Icons.Rounded.ExpandLess
  val Fullscreen = Icons.Rounded.Fullscreen
  val Grid3x3 = Icons.Rounded.Grid3x3
  val MoreVert = Icons.Default.MoreVert
  val Person = Icons.Rounded.Person
  val PlayArrow = Icons.Rounded.PlayArrow
  val Search = Icons.Rounded.Search
  val Settings = Icons.Rounded.Settings
  val ShortText = Icons.Rounded.ShortText
  val Tag = Icons.Rounded.Tag
  val ViewDay = Icons.Rounded.ViewDay
  val VolumeOff = Icons.Rounded.VolumeOff
  val VolumeUp = Icons.Rounded.VolumeUp
}
